<!-- Copyright (C) 2017-2020 Linagora

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<form novalidate [formGroup]="themesFormGroup">
  <div fxLayout="row" fxLayout.xs="column">
    <div fxFlex="50%" fxFlex.xs="100" fxLayoutAlign="start center">
      <mat-icon color="accent" class="margin-right-x1">color_lens</mat-icon>
      <mat-form-field fxFlex="95%">
        <mat-select 
          placeholder="Color theme"
          name="theme" 
          fxFlex.xs="100"
          formControlName="theme"
        >
          <mat-option *ngFor="let t of themes" [value]="t.value">
            {{ t.label }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  </div>
</form>